clear;
clc;

%%%------------------------------------------------------------------------
dynare JQ_baseline.mod

%%%------------------------------------------------------------------------
%% Financial Shock: xi
hh = 1;
figure(hh)
mm = 2;
nn = 3;
ii = 0;
ii = ii+1;
subplot(mm,nn,ii);
plot(logy_exi*100, 'LineWidth', 1.5);
hold on;
plot(zeros(size(y_exi)),'k--','Linewidth',1);
title('Output', 'fontweight', 'bold');

ii = ii+1;
subplot(mm,nn,ii);
plot(logc_exi*100,  'LineWidth', 1.5);
hold on;
plot(zeros(size(y_exi)),'k--','Linewidth',1);
title('Consumption', 'fontweight', 'bold');

ii = ii+1;
subplot(mm,nn,ii);
plot(loginv_exi*100,  'LineWidth', 1.5);
hold on;
plot(zeros(size(y_exi)),'k--','Linewidth',1);
title('Investment', 'fontweight', 'bold');

ii = ii+1;
subplot(mm,nn,ii);
plot(logn_exi*100, 'LineWidth', 1.5);
hold on;
plot(zeros(size(y_exi)),'k--','Linewidth',1);
title('Hour', 'fontweight', 'bold');


ii = ii+1;
subplot(mm,nn,ii);
plot(logd_exi*100,  'LineWidth', 1.5);
hold on;
plot(zeros(size(y_exi)),'k--','Linewidth',1);
title('Equity Payout', 'fontweight', 'bold');

ii = ii+1;
subplot(mm,nn,ii);
plot(logb_exi*100, 'LineWidth', 1.5);
hold on;
plot(zeros(size(y_exi)),'k--','Linewidth',1);
title('Debt', 'fontweight', 'bold');

sgtitle('IRF to Financial Shock')
%%%------------------------------------------------------------------------
%% TFP Shock: z
hh = hh +1;
figure(hh)
ii = 0;
ii = ii+1;
subplot(mm,nn,ii);
plot(logy_ez*100, 'LineWidth', 1.5);
hold on;
plot(zeros(size(y_ez)),'k--','Linewidth',1);
title('Output', 'fontweight', 'bold');

ii = ii+1;
subplot(mm,nn,ii);
plot(logc_ez*100,  'LineWidth', 1.5);
hold on;
plot(zeros(size(y_ez)),'k--','Linewidth',1);
title('Consumption', 'fontweight', 'bold');

ii = ii+1;
subplot(mm,nn,ii);
plot(loginv_ez*100,  'LineWidth', 1.5);
hold on;
plot(zeros(size(y_ez)),'k--','Linewidth',1);
title('Investment', 'fontweight', 'bold');

ii = ii+1;
subplot(mm,nn,ii);
plot(logn_ez*100, 'LineWidth', 1.5);
hold on;
plot(zeros(size(y_ez)),'k--','Linewidth',1);
title('Hour', 'fontweight', 'bold');


ii = ii+1;
subplot(mm,nn,ii);
plot(logd_ez*100,  'LineWidth', 1.5);
hold on;
plot(zeros(size(y_ez)),'k--','Linewidth',1);
title('Equity Payout', 'fontweight', 'bold');

ii = ii+1;
subplot(mm,nn,ii);
plot(logb_ez*100, 'LineWidth', 1.5);
hold on;
plot(zeros(size(y_ez)),'k--','Linewidth',1);
title('Debt', 'fontweight', 'bold');

sgtitle('IRF to TFP Shock')
