function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = JQ_baseline.static_g1_tt(T, y, x, params);
end
g1 = zeros(21, 21);
g1(1,2)=(-(params(2)/(1-y(6))));
g1(1,6)=(-(y(2)*params(2)/((1-y(6))*(1-y(6)))));
g1(1,7)=1;
g1(2,2)=(-1)/(y(2)*y(2))-params(1)*(1+params(5))*y(9)*(-1)/(y(2)*y(2));
g1(2,9)=(-(T(1)*params(1)*(1+params(5))));
g1(3,2)=(-1);
g1(3,5)=(-(1/y(9)-1));
g1(3,6)=y(7);
g1(3,7)=y(6);
g1(3,8)=1;
g1(3,9)=(-((-y(5))/(y(9)*y(9))));
g1(4,1)=(-((1-T(2)*y(10))*(1-params(4))/y(6)));
g1(4,6)=(-((-((1-T(2)*y(10))*(1-params(4))*y(1)))/(y(6)*y(6))));
g1(4,7)=1;
g1(4,8)=(-(y(1)*(1-params(4))*(-(2*params(6)*y(10)))/y(6)));
g1(4,10)=(-(y(1)*(1-params(4))*(-T(2))/y(6)));
g1(5,11)=1;
g1(6,1)=(-(y(11)*(params(4)/y(3)/T(2)-y(10)*params(4)/y(3))));
g1(6,3)=(-(y(11)*((-(params(4)*y(1)))/(y(3)*y(3))/T(2)-(-(y(1)*y(10)*params(4)))/(y(3)*y(3)))));
g1(6,8)=T(7)-y(11)*(-(2*params(6)*(1-params(3)+params(4)*y(1)/y(3))))/(T(2)*T(2));
g1(6,10)=(-y(13))-y(11)*(-(params(4)*y(1)/y(3)));
g1(6,11)=(-T(3));
g1(6,13)=(-y(10));
g1(7,8)=T(7)-(-(2*params(6)*y(9)*y(11)))/(T(2)*T(2));
g1(7,9)=(-(y(11)/T(2)));
g1(7,10)=(-y(13));
g1(7,11)=(-(y(9)/T(2)));
g1(7,13)=(-y(10));
g1(8,1)=1;
g1(8,2)=(-1);
g1(8,3)=(-(1-(1-params(3))));
g1(8,8)=(-(params(6)*2*(y(8)-params(7))));
g1(9,1)=(-1);
g1(9,3)=y(13);
g1(9,5)=y(13)*(-(1/y(9)));
g1(9,9)=y(13)*(-((-y(5))/(y(9)*y(9))));
g1(9,13)=y(3)-y(5)/y(9);
g1(10,1)=1;
g1(10,3)=(-(T(6)*y(12)*getPowerDeriv(y(3),params(4),1)));
g1(10,6)=(-(T(5)*getPowerDeriv(y(6),1-params(4),1)));
g1(10,12)=(-(T(4)*T(6)));
g1(11,3)=(-(1-(1-params(3))));
g1(11,4)=1;
g1(12,12)=1/y(12)-params(11)*1/y(12);
g1(13,13)=1/y(13)-params(9)*1/y(13);
g1(14,1)=(-(1/y(1)));
g1(14,14)=1;
g1(15,2)=(-T(1));
g1(15,15)=1;
g1(16,4)=(-(1/y(4)));
g1(16,16)=1;
g1(17,5)=(-(1/y(5)));
g1(17,17)=1;
g1(18,6)=(-(1/y(6)));
g1(18,18)=1;
g1(19,8)=(-(1/y(8)));
g1(19,19)=1;
g1(20,13)=(-(1/y(13)));
g1(20,20)=1;
g1(21,10)=(-(1/y(10)));
g1(21,21)=1;
if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
end
end
